Allow QGIS Relations to use composite keys
Status: Open

Priority: Normal

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 18120

Description

I am working on using QGIS to enter borehole data using QGIS Relations.  It is a snap to create 1:1 and 1:N relations on one foreign key,

but it is impossible to work with composite keys (such as the relationship between SAMPLE_DATA and SOILS_INDICES_LAB in the

relations.jpg).

History

#1 - 2014-02-11 04:34 AM - Matthias Kuhn

- Target version set to Future Release - Nice to have

This was taken into account when designing the low-level implementation of the relations functionality. However, the GUI for it and probably some logic as

well is missing (obviously).

I plan to do continue working on this in the future.

If you are interested in funding to raise the priority of this issue, please contact me via PM.

#2 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2018-10-24 06:22 PM - cgsbob -

We are interested in funding this issue.  Unfortunately we have to limit ourselves to a developer from the US because we are a California state agency.

Files

relations.jpg 71.1 KB 2014-02-10 cgsbob -

2025-04-26 1/1


